Page 1 of 1

Error! I get it every so often.

Posted: Sat Oct 15, 2005 4:24 am
by Epox
So I've been getting these vBulletin errors sent to me every once in a while:

Code: Select all

Database error in vBulletin 3.0.8:

Invalid SQL: UPDATE mos_users SET  email = "xxxxxxxxx@gmail.com" , WHERE vb_userid=1417
mysql error: You have an error in your SQL syntax.  Check the manual that corresponds to your MySQL server version for the right syntax to use near 'WHERE vb_userid=1417' at line 1

mysql error number: 1064

Date: Thursday 13th of October 2005 03:34:27 PM
Script: http://www.xxxx.net/forums/profile.php
Referer: http://www.xxx.net/forums/profile.php?do=editpassword
Username: SilentScream
IP Address: xxxxxxxx
This is with vBridge installed with Mambo 4.5.2, and vbulletin 3.0.8;

What is the problem? How can it be fixed?

Re: Error! I get it every so often.

Posted: Mon Oct 17, 2005 6:42 pm
by Epox
i could REALLY use some help for this. PLEASE??

Re: Error! I get it every so often.

Posted: Tue Oct 18, 2005 1:36 am
by kenmcd
This error can arise when data has been imported from a backup made on a MySQL server of a different version.

Did you recently move servers?
Did you upgrade (or downgrade) to different version of MySQL?

Re: Error! I get it every so often.

Posted: Tue Oct 18, 2005 4:09 am
by clenard
Epox wrote: So I've been getting these vBulletin errors sent to me every once in a while:

Code: Select all

Database error in vBulletin 3.0.8:

Invalid SQL: UPDATE mos_users SET  email = "xxxxxxxxx@gmail.com" , WHERE vb_userid=1417
mysql error: You have an error in your SQL syntax.  Check the manual that corresponds to your MySQL server version for the right syntax to use near 'WHERE vb_userid=1417' at line 1

mysql error number: 1064

Date: Thursday 13th of October 2005 03:34:27 PM
Script: http://www.xxxx.net/forums/profile.php
Referer: http://www.xxx.net/forums/profile.php?do=editpassword
Username: SilentScream
IP Address: xxxxxxxx
This is with vBridge installed with Mambo 4.5.2, and vbulletin 3.0.8;

What is the problem? How can it be fixed?
I would upgrade to 3.0.9 and see if the error still occurs... it could be the version of vB. I had the same situation with vBportal (I think that's what it's called) a while back when I first installed it... then once I upgraded to the next version up -- everything was fine. If you noticed, 3.0.8 came and went real quick -- this might have been an issue with it? (I'm not sure, I never pay attention to their bug lists).

It's nothing to do with vBridge... just upgrade and see if it still exists.